Index: Makefile
===================================================================
--- Makefile	(revision 365761)
+++ Makefile	(working copy)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	jekyll
-PORTVERSION=	1.0.3
-PORTREVISION=	1
+PORTVERSION=	2.0.3
 CATEGORIES=	www rubygems
 MASTER_SITES=	RG
 
@@ -14,13 +13,16 @@
 
 RUN_DEPENDS=	rubygem-classifier>=1.3:${PORTSDIR}/devel/rubygem-classifier \
 		rubygem-colorator>=0.1:${PORTSDIR}/textproc/rubygem-colorator \
-		rubygem-commander>=4.1.3:${PORTSDIR}/devel/rubygem-commander \
-		rubygem-directory_watcher>=1.4.1:${PORTSDIR}/devel/rubygem-directory_watcher \
-		rubygem-kramdown>=1.0.2:${PORTSDIR}/textproc/rubygem-kramdown \
-		rubygem-liquid>=2.3:${PORTSDIR}/textproc/rubygem-liquid \
-		rubygem-maruku>=0.5:${PORTSDIR}/www/rubygem-maruku \
+		rubygem-kramdown>=1.3:${PORTSDIR}/textproc/rubygem-kramdown \
+		rubygem-liquid>=2.5.5:${PORTSDIR}/textproc/rubygem-liquid \
+		rubygem-listen>=2.5:${PORTSDIR}/devel/rubygem-listen \
+		rubygem-mercenary>=0.3.3:${PORTSDIR}/devel/rubygem-mercenary \
 		rubygem-pygments.rb>=0.5.0:${PORTSDIR}/devel/rubygem-pygments.rb \
-		rubygem-safe_yaml>=0.7.0:${PORTSDIR}/devel/rubygem-safe_yaml
+		rubygem-redcarpet>=3.1:${PORTSDIR}/textproc/rubygem-redcarpet \
+		rubygem-safe_yaml>=1.0:${PORTSDIR}/devel/rubygem-safe_yaml \
+		rubygem-toml>=0.1.0:${PORTSDIR}/devel/rubygem-toml \
+		rubygem-jekyll-coffeescript>=1.0.0:${PORTSDIR}/devel/rubygem-jekyll-coffeescript \
+		rubygem-jekyll-sass-converter>=1.0.0:${PORTSDIR}/textproc/rubygem-jekyll-sass-converter
 
 USE_RUBY=	yes
 USE_RUBYGEMS=	yes
Index: distinfo
===================================================================
--- distinfo	(revision 365761)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/jekyll-1.0.3.gem) = b76dc1c08165427a7f85f530e7aeca047aec906fb6da5a86af2400850dd7f54f
-SIZE (rubygem/jekyll-1.0.3.gem) = 247296
+SHA256 (rubygem/jekyll-2.0.3.gem) = 66030fe4bc614db4b19031c1389f0b14ec2cd1fb908fdc2e7fab110140ba2ddf
+SIZE (rubygem/jekyll-2.0.3.gem) = 541696
Index: files/patch-versions
===================================================================
--- files/patch-versions	(revision 365761)
+++ files/patch-versions	(working copy)
@@ -1,19 +1,11 @@
---- jekyll-1.0.3.gemspec.orig	2013-06-29 22:15:55.420941542 +0000
-+++ jekyll-1.0.3.gemspec	2013-06-29 22:16:04.451940984 +0000
-@@ -114,14 +114,14 @@
+--- jekyll-2.0.3.gemspec.orig	2014-08-23 17:49:54.000000000 +0200
++++ jekyll-2.0.3.gemspec	2014-08-23 17:50:24.000000000 +0200
+@@ -14,7 +14,7 @@
+   name: liquid
+   requirement: !ruby/object:Gem::Requirement
      requirements:
-     - - ~>
+-    - - "~>"
++    - - ">="
        - !ruby/object:Gem::Version
--        version: 0.7.0
-+        version: 0.9.0
+         version: 2.5.5
    type: :runtime
-   prerelease: false
-   version_requirements: !ruby/object:Gem::Requirement
-     requirements:
-     - - ~>
-       - !ruby/object:Gem::Version
--        version: 0.7.0
-+        version: 0.9.0
- - !ruby/object:Gem::Dependency
-   name: colorator
-   requirement: !ruby/object:Gem::Requirement
